#include <stdio.h>
#include <string.h>
#include "BufferedFile.h"

int main()
{
	BufferedFile TestFile("Test file", B_READ_ONLY, 10);
	if(TestFile.InitCheck() == B_NO_ERROR)
	{
		char LineBuffer[256];
		ssize_t BytesRead;
		while(true)
		{
			BytesRead = TestFile.BufferedReadLine(LineBuffer,256);
			if(BytesRead == 0)
			{
				printf("<reached end of file>\n");
				break;
			}
			printf("%2d bytes: %s\n",(int)BytesRead,LineBuffer);
		}
	}
	else
		printf("\"Test file\" COULD NOT be opened for read! Error = %08X\n",
			(int)TestFile.InitCheck());
}
